MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013143MediaMonkey (current)Podcastspublic2016-02-19 22:362016-03-01 17:38
Reporterlowlander 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.1.11 
Target Version4.1.12Fixed in Version4.1.12 
Summary0013143: Tribulation Now Podcast fails to download episodes
Descriptionhttp://www.blogtalkradio.com/tribulation-now/podcast [^]

Episodes fail to download. Also note that error doesn't show any information as to what went wrong.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=1&t=84085 [^]
TagsNo tags attached.
Fixed in build1785
Attached Files

- Relationships

-  Notes
(0044197)
Ludek (developer)
2016-02-23 08:27
edited on: 2016-02-23 09:16

The reason is that e.g. for
http://www.blogtalkradio.com/tribulation-now/2016/02/22/beguiled--eden-to-armageddon-w-dr-joye-jeffries-pugh-part-vi-serpent-races.mp3 [^]

it returns HTTP 302 'Moved Temporarily' with
Location: http://p.univide.com/t.gif?pid=78&pidt=0&pdid=70be3020-f17b-4677-9a48-7fe97654a9a8&cu=http://blogtalk.vo.llnwd.net/o23/show/8/319/show_8319181.mp3 [^]
which after further 302 redirection results in a small GIF file returned

The expected Location is just http://blogtalk.vo.llnwd.net/o23/show/8/319/show_8319181.mp3 [^]

It seems that e.g. Chrome browser auto-cuts the URL just to the http://blogtalk.vo.llnwd.net/o23/show/8/319/show_8319181.mp3 [^] so we should do the same to workaround this issue.

(0044198)
Ludek (developer)
2016-02-23 09:25

Fixed n 4.1.12.1785
(0044223)
peke (developer)
2016-03-01 17:38

Verified 1785


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker